Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfKeepTogetherType

    java.lang.Object
      java.lang.Enum<OdfKeepTogetherType>
          org.odftoolkit.odfdom.dom.type.fo.OdfKeepTogetherType

All Implemented Interfaces:
  Serializable, Comparable<OdfKeepTogetherType>

    public enum OdfKeepTogetherType

extends Enum<OdfKeepTogetherType>

DOM implementation of OpenDocument attribute fo:keep-together.

Enum Constant Summary
`ALWAYS`
`AUTO`

Method Summary
`static OdfKeepTogetherType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfKeepTogetherType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfKeepTogetherType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfKeepTogetherType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final OdfKeepTogetherType ALWAYS

### AUTO

    public static final OdfKeepTogetherType AUTO

Method Detail

### values

    public static OdfKeepTogetherType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfKeepTogetherType c : OdfKeepTogetherType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfKeepTogetherType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfKeepTogetherType>`
  Returns:
    return the name of OdfKeepTogetherType

### toString

    public static String toString(OdfKeepTogetherType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfKeepTogetherType, see fo:keep-together
  Returns:
    return the name of OdfKeepTogetherType

### enumValueOf

    public static OdfKeepTogetherType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfKeepTogetherType
  Returns:
    return the constant of OdfKeepTogetherType, see fo:keep-together

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.